﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.ProjectPermissionsFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.Permissions %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

  <h2><%=Resources.egTracker.Permissions %> - <% =Html.Encode(Model.ProjectName) %> </h2>
				
		<div>
			<%=Html.ActionLink(Resources.egTracker.BackToProject, "Edit", "Projects", new {id = Model.ProjectId}, null) %>
			&nbsp;			
		</div>	

  <br />

<% using (Html.BeginForm("List", "ProjectsPermissions", FormMethod.Post, new { name = "Permissions" }))
   { %>

	 <div>

		 <% if (!Model.ProjectIsTemplate)
			 {  %>
			<div style="margin-bottom:5px;">		
			<%=Html.CheckBox("TemplateEnabled")%>Template
			<%=Html.DropDownList("TemplateId", Model.Templates)%>
			<input type="submit" name="Save" value="Save" />				
			</div>
			<% } %>

		 <div style="margin-bottom:10px;">
			<input type="submit" name="AddNew" value="Add new" />							
			&nbsp;
			<input type="submit" name="Delete" onclick="javascript:return ConfirmDelete();" value="Delete selected" />    
		 </div>

	 </div>
	
  <table>
  
  <tr>
  <th>
  <a href="javascript:SelectAll();"><%=Resources.egTracker.All%></a>/<a href="javascript:SelectNone();"><%=Resources.egTracker.None%></a>
  </th>
  <th><%=Resources.egTracker.User%></th>
  <th><%=Resources.egTracker.Permission%></th>
  </tr>

  <% foreach (egTracker.Data.Permissions.ProjectUserPermissions.ProjectPermissionsList p in Model.Permissions)
     { %>
     <tr>
      <td>
				<% if (p.ProjectId == Model.ProjectId)
			 { %>
					<%=Html.CheckBox("Selected", new { value = p.IdStdAdv })%>        

					<% if (p.EditActionName.Length>0) %>
						<%=Html.ActionLink(Resources.egTracker.Edit, p.EditActionName, new { id = p.Id })%>

					<%=Html.ActionLink(Resources.egTracker.Delete, p.DeleteActionName, new { id = p.Id }, new { onclick = string.Format("javascript:return confirm('Are you sure you want to delete {0} for {1}?');", Html.Encode(p.Name.Replace("'", @"\'")), Html.Encode(p.Username.Replace("'", @"\'"))) })%>
				<% } %>
      </td>
      <td><%=Html.Encode(p.Username)%></td>
      <td>
				<%=Html.Encode(p.Name)%><% if (p.StandardModified) { %>*<% } %>
			</td>
     </tr>
  <% } %>
  
  </table>

<% } %>

<script type="text/javascript">

  function CountSelectedItems() {
    var selectedArray = document.Permissions.Selected;
    var checkedCounter = new Number();
    checkedCounter = 0;
    for (var i = 0; i < selectedArray.length; i++) {
      if (selectedArray[i].checked)
        checkedCounter++;
    }
    return checkedCounter;
  }

  function ConfirmDelete() {
    var checkedCounter = CountSelectedItems();
    if (checkedCounter > 0) {
      return confirm('Are you sure you want to delete ' + checkedCounter.toString() + ' permissions?');
    }
    else {
      alert("Permissions aren't selected");
      return false;
    }
  }

  function SelectAll() {
    var selectedArray = document.Permissions.Selected;
    for (var i = 0; i < selectedArray.length; i++) {
      selectedArray[i].checked = true;
    }
  }

  function SelectNone() {
    var selectedArray = document.Permissions.Selected;
    for (var i = 0; i < selectedArray.length; i++) {
      selectedArray[i].checked = false;
    }
  }

    </script>

</asp:Content>
