<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.SearchFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.Search %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<div class="Search">

<h2><%=Resources.egTracker.Search %></h2>

<%= Html.ValidationSummary(Resources.egTracker.PleaseCorrectTheErrorsAndTryAgain)%>

<% 
	if (Model.List != null)
	{
		if (Model.List.Count == 0)
		{		
%>

<div style="margin-bottom:20px;margin-top:20px;">
<b><%=Html.LocalResource("YourSearchProducedNoResults")%></b>
</div>

<%		
		}
	}
%>


<form action='<%=Url.Action("Index", "Search") %>#list' method="post">	 

<fieldset>
  <legend><%=Resources.egTracker.Search %></legend>            

	 <div class="Section">      
		<div class="Item"> 
			<input type="button" onclick="ClearAll();" value="<%=Html.LocalResource("ClearAll")%>" />		
		</div>
		<div class="Item"> 
			<input type="submit" value="<%=Resources.egTracker.Search %>" style="margin-bottom:10px;" />  
		</div>		
  </div>

	 <div class="Section">

    <div class="Item"> 
      <label for="TicketId" style="padding-top:12px;">ID:&nbsp;</label>
			<div class="Control">
				<div class="jsMenu">
				<a href="javascript:TextBox_Clear('TicketId');"><%=Html.LocalResource("Clear")%></a>				
				</div>
				<div>
				<%=Html.TextBox("TicketId", Model.TicketId, new { style = "width:40px;" })%>
				</div>
			</div>
    </div>

		<div class="Item"> 
      <label for="TicketContains" style="padding-top:12px;"><%=Html.LocalResource("TicketContains")%>:&nbsp;</label>
			<div class="Control">
				<div class="jsMenu">
				<a href="javascript:TextBox_Clear('TicketContains');"><%=Html.LocalResource("Clear")%></a>				
				</div>
				<div>
				<%=Html.TextBox("TicketContains")%>
				</div>
			</div>      
    </div>		

  </div>	

  <div class="Section">
    <div class="Item">      
      <div class="Label"><label for="Project"><%=Resources.egTracker.Project %>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('Project', true);"><%=Html.LocalResource("All")%></a>&nbsp;<a href="javascript:ListBox_SelectAll('Project', false);"><%=Html.LocalResource("None")%></a>
				</div>
				<div>
				<%= Html.ListBox("Project", Model.ProjectsListBox, new { style = "height:200px;" })%>
				</div>
			</div>
    </div>
		<% if (Model.TicketTypesListBox.Count > 0)
		 {  %>
		 <div class="Item">      
      <div class="Label"><label for="TicketType">Ticket type:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('TicketType', true);"><%=Html.LocalResource("All")%></a>&nbsp;<a href="javascript:ListBox_SelectAll('TicketType', false);"><%=Html.LocalResource("None")%></a>
				</div>
				<div>
				<%= Html.ListBox("TicketType", Model.TicketTypesListBox, new { style = "height:200px;" })%>
				</div>
			</div>
    </div>
		<% } %>
		<% if (Model.ControlAssignedTo) { %>
    <div class="Item">
      <div class="Label"><label for="AssignedTo"><%=Resources.egTracker.AssignedTo %>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('AssignedTo', true);"><%=Html.LocalResource("All")%></a>&nbsp;<a href="javascript:ListBox_SelectAll('AssignedTo', false);"><%=Html.LocalResource("None")%></a>
				</div>
				<div>
				<%= Html.ListBox("AssignedTo", Model.AssignedToListBox, new { style = "height:200px;" })%>
				</div>
			</div>
    </div>
		<%} %>
    <div class="Item">
      <div class="Label"><label for="Status"><%=Resources.egTracker.Status %>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('Status', true);"><%=Html.LocalResource("All")%></a>&nbsp;<a href="javascript:ListBox_SelectAll('Status', false);"><%=Html.LocalResource("None")%></a>
				</div>
				<div>
				<%= Html.ListBox("Status", Model.StatusesListBox, new { style = "height:200px;" })%>
				</div>
			</div>
    </div>

		<% if (Model.ControlAttachments)
		 { %>
		<div class="Item"> 			
			<div class="Label"><label for="HasAttachments"><%=Html.LocalResource("HasAttachments")%>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('HasAttachments', true);"><%=Html.LocalResource("All")%></a>&nbsp;<a href="javascript:ListBox_SelectAll('HasAttachments', false);"><%=Html.LocalResource("None")%></a>
				</div>
				<div>
				<%= Html.ListBox("HasAttachments", Model.HasAttachmentsListBox, new { style = "height:40px;" })%>
				</div>
			</div>
		</div>
		<% } %>

  </div>  	
    
  <div class="Section" style="padding-top:10px;">      
		<div class="Item"> 
			<input type="button" onclick="ClearAll();" value="<%=Html.LocalResource("ClearAll")%>" />		
		</div>
		<div class="Item"> 
			<input type="submit" value="<%=Resources.egTracker.Search %>" />  
		</div>		
  </div>

	<div style="clear:both;"></div>
	

</fieldset>

<% 
		 if (Model.List != null && Model.List.Count > 0)
		 {
		%>

		<div class="ExportToExcel">      			
				<input type="submit" value="Export To Excel" name="ExportToExcel" style="margin-top:10px;" />  			
		</div>		
	<%} %>

</form>

<% 
	if (Model.List != null)
	{
		if (Model.List.Count > 0)
		{
			Html.RenderPartial("~/Views/Shared/ListOfTickets.ascx");
		}
		else
		{
%>

<div style=" margin-top:20px;">
<b><%=Html.LocalResource("YourSearchProducedNoResults")%></b>
</div>

<%		
		}
	}
%>

</div>

<script language="javascript" type="text/javascript">

	function ClearAll() {
		TextBox_Clear('TicketId');
		TextBox_Clear('TicketContains');
		ListBox_SelectAll('Project', false);
		ListBox_SelectAll('TicketType', false);
		ListBox_SelectAll('AssignedTo', false);
		ListBox_SelectAll('Status', false);
	}

</script>

</asp:Content>
