<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.ProjectsFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Model.PageTitle %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

  <h2><%=Model.PageTitle %></h2>
  
	<div>				
			<%= Html.ActionLink(Model.CreateCaption, Model.CreateActionName) %>

			<% if (Model.TemplatesLink)
			{  %>
			&nbsp;<%= Html.ActionLink("Templates", "Templates") %>
			<% } %>		
	</div>
	  	  
  <div style="margin-bottom:10px; margin-top:10px;">
    <% Html.RenderPartial("~/Views/Projects/Paging.ascx"); %>
  </div>

  <table>
    <tr>
      <th></th>      
      <th><%=Resources.egTracker.Name %></th>       
			<th><%=Resources.egTracker.ShortName %></th>
      <th><%=Resources.egTracker.CreatedOn %></th>      
    </tr>
    <% foreach (egTracker.Data.Projects.Repository.ProjectListItem project in Model.List)
       { %>
    <tr>
      <td>
        <%= Html.ActionLink(Resources.egTracker.Edit, "Edit", new { id=project.Id }) %>                 
        
        <%= Html.ActionLink(Resources.egTracker.Permissions, "List", "ProjectsPermissions", new { id=project.Id },null) %>                        
        <%= Html.ActionLink(Resources.egTracker.CopyAsNew, "CopyAsNew", new { ProjectId = project.Id })%>
        <%= Html.ActionLink(Resources.egTracker.Delete, "Delete", new { ProjectId = project.Id })%>
      </td>     
      <td>
        <%= Html.ActionLink(Html.Encode(project.Name), "Edit", new { id = project.Id })%>
      </td>            
			<td>
			<% if (!string.IsNullOrEmpty(project.ShortName)) %>
			<%= Html.ActionLink(Html.Encode(project.ShortName), "Edit", new { id = project.Id })%>
			</td>
      <td>
        <%= Html.Encode(String.Format("{0:g}", Model.TimeZone.Utc2Local(project.CreatedOn)))%>
      </td>      
    </tr>
    <% } %>
  </table>
    
  <div style="margin-top:10px">
    <% Html.RenderPartial("Paging"); %>
  </div>

</asp:Content>
